removeNasVolumeAccessControl

Prev Next

Available in VPC

Remove the access control set on the NAS volume instance using the server instance number.

Note

The set access control rules can be viewed through the getNasVolumeAccessControlRuleList.

Requests

The following describes the request format for the endpoint. The request format is as follows.

Method URI
GET | POST /vnas/v2/removeNasVolumeAccessControl
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS (VPC) APIs, see NAS (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the NAS volume instance for which you want to remove access control
nasVolumeInstanceNo String Required Number of the NAS volume instance for which you want to remove access control
  • See getNasVolumeInstanceList
  • Only NAS volume instances with volume allocation protocol type of NFS can be set to access control
serverInstanceNoList.N List[String] Required Number of server instance to remove from access control
responseFormatType String Optional Format type of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/removeNasVolumeAccessControl
?regionCode=KR
&nasVolumeInstanceNo=23380000
&serverInstanceNoList.1=23320000
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Responses

The following describes the response format.

Response body

See NasVolumeInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all NAS (VPC) APIs, see NAS (VPC) response status codes.

Response example

The following is a sample response.

{
    "removeNasVolumeAccessControlResponse": {
        "totalRows": 1,
        "nasVolumeInstanceList": [
            {
                "nasVolumeInstanceNo": "23380000",
                "nasVolumeInstanceStatus": {
                    "code": "CREAT",
                    "codeName": "NAS create"
                },
                "nasVolumeInstanceOperation": {
                    "code": "NULL",
                    "codeName": "NAS NULL OP"
                },
                "nasVolumeInstanceStatusName": "created",
                "createDate": "2024-04-02T10:06:29+0900",
                "nasVolumeDescription": "",
                "mountInformation": "169.254.00.00:/n2768364_vn18e9c000000",
                "volumeAllotmentProtocolType": {
                    "code": "NFS",
                    "codeName": "NFS"
                },
                "volumeName": "n2768364_vn18e9c000000",
                "volumeTotalSize": 644245094400,
                "volumeSize": 644245094400,
                "snapshotVolumeConfigurationRatio": 0.0,
                "snapshotVolumeSize": 0,
                "isSnapshotConfiguration": false,
                "isEventConfiguration": false,
                "regionCode": "KR",
                "zoneCode": "KR-2",
                "nasVolumeServerInstanceNoList": [],
                "isEncryptedVolume": false,
                "nasVolumeInstanceCustomIpList": [],
                "isReturnProtection": false
            }
        ],
        "requestId": "",
        "returnCode": "0",
        "returnMessage": "success"
    }
}